<?php
/*! @page description_du_systeme Description du systme

Principe : regrouper des supports d'enseignement d'informatique fondamentale.

@section general Prsentation gnrale

Contenu: 
Polycopis, transparents, sujets et corrections de TDs et d'examens, sujets de projets, livres
  et quelques travaux d'tudiants : rsum de cours, bonne copies, etc.<br>
Ceci pour des cours donnes au niveau license et master dans la perspective de la formation de chercheurs.

Objectifs
- faciliter l'accs aux tudiants vers les ressources de leurs enseignants ;
- proposer aux tudiants et aux enseignants les ressources de cours similaires aux leurs ;
- delester les enseignants du travail de maintenir en ligne des archives de leurs documents ;
- viter que des ressources intressantes ne disparaissent du web.

Format
- le site regroupe des pointeurs vers les documents se trouvant sur le web ;
- lorsqu'un lien vers un document est cass, et  condition d'avoir l'accord de la part de l'auteur du documents,
  le site propose un lien vers une copie locale de ce document.
  On demande donc systmatiquement et prventivement l'accord de l'auteur ;
- le site est prsent de manire structure, avec des fonctions d'indexations et de recherches pratiques.

Politique
- lorsqu'on propose un document, c'est que :
   - soit il tait accessible sur le net encore quelques jours auparavant (lors du dernier balayage),
   - soit que son auteur nous a autoris a proposer une copie locale ;
- Les documents dont l'accs est restreint sont clairement marqus comme tels (et ne sont pas en cache).

@section base Base de donnes
Structure
- une base de donne dcrivant l'arbre des ressources : [ressource | session | docgroup | document] ;
- chaque ressource peut tre associe  un ou plusieurs thmes et  un ou plusieurs cursus ;
- chaque docgroup et chaque document peut tre associ  une ou plusieur natures et  des auteurs.
  - forme = [polycopi | transparents | tds | exams | projet | autre]
  - rdacteur as [auteur | scribe | origine]
-  chaque nud de l'arbre on peut associer : un titre, du texte le dtaillant, une url,
  - un nom de dossier/fichier (qui ne doit pas tre vide, sauf pour les documents),
  - un boolen dcrivant si l'url est casse.

Affichage
<!--Prsentation du contenu : -->
- index des ressources tris par thme, index des ressources tri par cursus ;
- index des auteurs associant  leur nom les documents auxquels ils ont contribu ;
- dtail d'un auteur : affiche en dtail tous les nuds de l'arbre concernant cet auteur ;
- recherche google sur le contenu du site.

@section Fichiers Gestion des fichiers
Balayage automatique des URLs
-  interval rgulier, on parcours l'ensemble des url des nuds de l'arbre ;
- pour les nuds [ressource | session | docgroup], on peut mettre  jour liens morts ;
- pour les documents, on regarde si le document a t modifi depuis sa prcdente mise en cache :
   - si rien n'a chang, on ne fait rien ;
   - si le document a t modifi, on retlcharge le document
      (et on sauvegarde quelque part d'inaccessible l'ancienne version au cas o) ;
   - manuellement : si le document a disparu, on regarde s'il a juste t dplac  ct, et sinon on contacte l'auteur.

Systme de fichier
- on a donc un systme de fichier pour les documents mis en cache, sur lequel on peut donner des pointeurs ;
- seuls notre moteur de balayage et les administrateurs ont accs en criture sur ce dossier ;
- le dossier ne contient aucun fichier sensible (i.e. non diffusable  tous), donc pas de problme de responsabilit ;
- le fichier mis en cache est supprim lorsque le lien correspondant au document est modifi ou supprim
  (en fait on sauvegarde le fichier ailleurs au lieu de le supprimer, au cas o).

Cas particulier: fichiers non dispos sur le web
- pour qui: les profs qui n'ont pas de page web, ou ceux qui nous donnent des vieux cours qui ne sont plus sur leur page.
- on peut simplement mettre les documents dans un rpertoire  part de denif.ens-lyon.fr, et utiliser cela comme URL des documents comme s'ils taient dispos sur le web.
- le prof s'engage  nous transmettre les mise  jours (et si elles sont frquentes il comprend que ce serait moins lourd de les uploader lui-mme o il veut).

@section Edition
Ajout de contenu
- n'importe qui (sauf un bot) a le droit d'ajouter des ressources sur le site ;
- toute ressource ajoute prend le status "provisoire" ;
- n'importe qui peut modifier des ressources ayant le status "provisoire" ;
- seul un administrateur de la ressource peut valider les documents, enlevant ainsi le caractre provisoire ;

Interface d'dition d'une sesssion
- on propose une interface permettant efficacement d'ajouter un grand nombre de documents ;
- pour cela, l'utilisateur choisit la "session"  diter, et fournit une URL d'o il veut rcuprer des documents ;
- il obtient une page avec deux frames, d'un ct la page correspondant  l'URL donne, et de l'autre la vue de la session ;
- sur la premire frame, l'utilisateur highlighte du texte, puis clique sur un lien :
  cela ajoute un document avec son titre dans la seconde frame (implmentation  l'aide d'vnements javascript) ;
- la seconde frame contient la vue en cours de la session, avec possibilit d'diter  la main les liens,
  les textes, et d'ajouter / dplacer / supprimer des documents dj mis.

@section utilisateurs Types d'utilisateurs
Types d'utilisateurs
- la visualisation du site est accessible  tous (et en particulier  google).
- l'ajout de document sur le site est accessible  tous, sauf les bots
   (vrai Captcha pour passer en mode dition,  une seule fois pour la session, inutile pour ceux qui ont un compte sur le site)
- la validation du caractre provisoire des donnes et plus gnralement la modification des donnes est restreinte  un utilisateur ayant le droit d'administrer ces donnes ; on a donc une table associant des utilisateurs  des ressources ;
cela vise deux publics : les enseignants, et des lves srieux et motivs pour ajouter de nombreuses ressources.
- les administrateurs, qui ont simplement un droit de modification sur la racine de l'arbre, et le droit de nommer des responsables de donnes particulires.
- le root, qui peut nommer des administrateurs.

Cas particulier : maintient de contenu par un enseignant
- le prof met ses documents o il veut, quelque part sur le web, eg sa page web
   (notez qu'il peut simplement les mettres dans un rpertoire de sa page web, sans index.html,
   grce  la configuration par dfaut  "Option +indexes" d'Apache) ;
- il ajoute  notre site les titres et les urls de ses documents via l'interface d'dition ;
- pour mettre  jour un document, le prof n'a qu' re-uploader son document sur son espace web ;
- on peut proposer au prof une url qui lui permet d'ajouter en ligne de commande un document  un docgroup
  (par exemple : http://denif.ens-lyon.fr/add_doc?login=..&pass=..&docgroupid=..&title='...'&url='...'
  (cela permet de complter la liste de ses cours ou de ses TDs sans revenir sur notre site, pour scripter)
  (pour bnficier de cette fonctionnalit, il est ncessaire d'avoir un compte sur notre site).
*/?>
