<?php defined('KERNEL_INCLUDED') or die('kernel should be included first');
// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder

//-----------------------------------------------------------------
/// @file
/// @brief Configuration for the primary instance of DENIF.
/// Ignored for secondary instances.
//-----------------------------------------------------------------

/// @brief Acronym of the site. Displayed in the main title of all pages, and various other places.
defineDefault('sInstanceAcronym', 'DENIF');

/// @brief Expanded acronym of the site. Displayed in the main title of all pages.
defineDefault('sInstanceTitle', 'Documents dEnseignement Numriques en Informatique Fondamentale');

/// @brief Short description of the site. Used in the <tt>\<title\></tt> of the home page.
defineDefault('sInstanceDescriptionShort',
	'Ressources pdagogiques pour tudiants en informatique');

/// @brief Medium-length description of the site. Used in the <tt>\<meta\></tt> description tag of the home page.
defineDefault('sInstanceDescriptionMedium',
	'Ressources pdagogiques niveau L3 et master, destines aux tudiants futurs chercheurs en informatique');

/// @brief Long description of the site. Shown on the home page.
defineDefault('sInstanceDescriptionLong',
	html::par(sInstanceAcronym . ' regroupe des ressources pdagogiques de qualit, de niveau licence 3<sup>e</sup> anne et master, destines aux tudiants futurs chercheurs en informatique.' . html::br() . 'Vous y trouverez des liens vers des polycopis, des transparents, des feuilles de TD, des annales dexamens, etc.'));

/// @brief Contact E-mail address.
defineDefault('sContactEmail', 'denif@listes.ens-lyon.fr');

/// @brief URL of the directory used to store the cached files. Used only to generate the sitemaps.
defineDefault('sWebDataPath', 'http://denif.ens-lyon.fr/data/');

/// @brief ID of the Google Analytics tracer, put at the end of each page if bLocal is false.
///
/// If empty, the Google Analytics tracer is disabled.
/// @see sGoogleAnalyticsId
defineDefault('sExternalGoogleAnalyticsId', 'UA-1226125-1');

/// @brief ID of the Google Custom Search Engine, put in the header of each page.
/// Go to http://www.google.com/cse/ to create one.
defineDefault('sGoogleCSEId', '012835478852590089443:_wmzglvvofs');

$aAuthorCredit[] = html::link('http://graal.ens-lyon.fr/~jfpineau/', 'Jean-Franois Pineau') . ', Florent Becker et ' . html::link('http://www.rouquier.org/jb/', 'Jean-Baptiste Rouquier') . ' (qui a travaill sur la question des supports de cours numriques ds son entre  lENS) sont responsables des relations avec les auteurs des ressources, des relations avec lENS Lyon qui hberge le serveur, et du contenu de la base de donnes concernant lENS Lyon.';

?>