/* This file is part of DENIF, distributed under license GPLv3.
   Copyright 2006 Guillaume Ryder, Arthur Charguraud */

SET NAMES utf8;

SET SQL_MODE='';

/*Table structure for table cursus */

DROP TABLE IF EXISTS cursus;

CREATE TABLE cursus (
  id int(10) unsigned NOT NULL auto_increment,
  sShortName varchar(255) NOT NULL default '',
  sFullName text NOT NULL,
  sURL varchar(255) NOT NULL default '',
  bValidated tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY sShortName (sShortName),
  FULLTEXT KEY sFullText (sShortName,sFullName,sURL)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

/*Table structure for table human */

DROP TABLE IF EXISTS human;

CREATE TABLE human (
  id int(10) unsigned NOT NULL auto_increment,
  sName varchar(255) NOT NULL default '',
  sURL varchar(255) NOT NULL default '',
  sEmail varchar(255) NOT NULL default '',
  bValidated tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY sName (sName),
  FULLTEXT KEY sFullText (sName,sURL)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

/*Table structure for table link */

DROP TABLE IF EXISTS link;

CREATE TABLE link (
  id int(10) unsigned NOT NULL auto_increment,
  idNode int(10) unsigned NOT NULL default '0',
  iProperty tinyint(3) unsigned NOT NULL default '0',
  idProperty int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY idNode (idNode,iProperty,idProperty),
  KEY iProperty (iProperty)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 ROW_FORMAT=FIXED;

/*Table structure for table node */

DROP TABLE IF EXISTS node;

CREATE TABLE node (
  id int(10) unsigned NOT NULL auto_increment,
  iNode tinyint(3) unsigned NOT NULL default '0',
  idParent int(10) unsigned NOT NULL default '0',
  iOrder int(10) unsigned NOT NULL default '0',
  sTitle text NOT NULL,
  sDetails text NOT NULL,
  sPathPart varchar(255) NOT NULL default '',
  sURL varchar(255) NOT NULL default '',
  dtCreation int(11) unsigned NOT NULL default '0',
  iVisible tinyint(1) unsigned NOT NULL default '0',
  iFinal tinyint(1) unsigned NOT NULL default '0',
  iCacheRequested tinyint(1) unsigned NOT NULL default '0',
  iCacheVisible tinyint(1) unsigned NOT NULL default '0',
  iCacheAuthorized tinyint(1) unsigned NOT NULL default '0',
  dtPing int(10) unsigned NOT NULL default '0',
  bPingOK tinyint(1) unsigned NOT NULL default '0',
  iPingDownload tinyint(1) unsigned NOT NULL default '0',
  bCached tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY iNode (iNode),
  KEY idParent (idParent),
  KEY iOrder (iOrder),
  FULLTEXT KEY sFullText (sTitle,sDetails,sURL)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Table structure for table theme */

DROP TABLE IF EXISTS theme;

CREATE TABLE theme (
  id int(10) unsigned NOT NULL auto_increment,
  sTitle text NOT NULL,
  bValidated tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY id (id),
  FULLTEXT KEY sTitle (sTitle),
  FULLTEXT KEY sFullText (sTitle)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

/*Table structure for table user_account */

DROP TABLE IF EXISTS user_account;

CREATE TABLE user_account (
  id int(10) unsigned NOT NULL auto_increment,
  sLogin varchar(50) NOT NULL default '',
  sPasswordMD5 varchar(32) NOT NULL default '',
  iLevel tinyint(3) unsigned NOT NULL default '0',
  iWebMode tinyint(4) default '0',
  PRIMARY KEY  (id)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Table structure for table user_cookie */

DROP TABLE IF EXISTS user_cookie;

CREATE TABLE user_cookie (
  sCode varchar(32) NOT NULL,
  dtLast int(10) unsigned NOT NULL,
  idUser int(10) unsigned NOT NULL,
  PRIMARY KEY  (sCode)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Table structure for table user_session */

DROP TABLE IF EXISTS user_session;

CREATE TABLE user_session (
  sCode char(32) NOT NULL,
  dtLast int(10) unsigned NOT NULL,
  idUser int(10) unsigned NOT NULL,
  bEdit tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (sCode)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0 ROW_FORMAT=FIXED;
