<?php
// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

require_once 'shared.inc.php';


class PageFormEditProperty extends PageFormEdit
{
	protected function initialize()
	{
		self::initializeGeneric('property');
	}
	
	
	protected function submit(array $aField)
	{
		$sTable = $this->info->table->sName;
		if ($this->id) {
			sql::update($sTable, $aField, sql::whereId($this->id));
			return 0;
		}else
			return sql::insertInto($sTable, $aField);
	}
	
	
	protected function cancel()
	{
	}
	
	
	protected function contents()
	{
		return self::contentsGeneric();
	}
	
	
	public function getFormTheme(FormObject $form)
	{
		$form->pushText('sTitle', maxLengthTitle, -1, 'Nom', 'Nom du thme');
		$this->pushFormProperty($form);
	}
	
	
	public function getFormCursus(FormObject $form)
	{
		$form->pushText('sShortName', maxLengthShort, -1, 'Nom court', 'Sparer lcole et le niveau par un trait dunion, par exemple&nbsp;: &nbsp;MPRI - M2&nbsp;');
		$form->pushText('sFullName', maxLengthTitle, -1, 'Nom long', 'Dtailler les sigles du nom court');
		$form->pushText('sURL', maxLengthURL, -1, 'Page Web', 'Site officiel prsentant les cours proposs par ce cursus', 'http://');
		$this->pushFormProperty($form);
	}
	
	
	public function getFormHuman(FormObject $form)
	{
		$form->pushText('sName', maxLengthShort, -1, 'Prnom et Nom', 'Sparer le prnom du nom par un espace et utiliser des minuscules, par exemple&nbsp;: Paul Dupond');
		$form->pushText('sURL', maxLengthURL, -1, 'Page perso', 'De prfrence, la page relative aux supports de cours', 'http://');
		$form->pushText('sEmail', maxLengthEmail, -1, 'E-mail', 'Les adresses e-mail sont protges des robots  spam par un Javascript');
		$this->pushFormProperty($form);
	}
	
	
	/// @brief Push the form fields common to all properties.
	/// Should be called after all property-specifics fields have been added.
	protected function pushFormProperty(FormObject $form)
	{
		if ($this->isAdmin()) {
			if ($this->bCreating)
				$this->obj->bValidated = true;
			$form->pushCheckbox('bValidated', 'Valid', 'Empcher les invits de modifier les donnes ' . $this->info->sDuDe);
		}
	}
}

Page::output(new PageFormEditProperty);

?>