// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

var lasturl = "";

var fnavbar, frm, popup, sTitleDefault = "";

catchLoad(function() {
	loadByID("fnavbar;frm;popup");
	fnavbar.setAttribute("autocomplete", "off");
	catchEscapeKey(document.forms.fpopup, hidePopup);
	frameResize();
});

function frmd() {
	return id("frm").contentWindow.document;
}

function frme() {
	return window.parent.frames.frmedit;
}


// Navigate the <iframe> to an URL.
function nav(url) {
	url = "proxy.php?sURL=" + url.escapeURLArg();
	try{
		frmd().location.href = url;
	}catch(e) {
		frm.src = url;
	}
}

function navHisto(rel) {
	try{
		frm.contentWindow.history.go(rel);
	}catch(e) {
		nav(lasturl);
	}
}

function navCurrent() {
	try{
		nav(fnavbar.sURL.value);
	}catch(e) {}
}


// Called when a link is clicked in the <iframe>
function onLink(e, link) {
	e = e || frm.contentWindow.event;
	eventSetup(e);
	e.cancel();
	
	switch (parseInt(fnavbar.iMode.value)) {
		
		// Normal mode: display the popup
		case 0:
			// Fill the <form>
			var f = document.forms.fpopup;
			f.sTitle.value = (sTitleDefault != "") ? sTitleDefault : getxt(link).trim();
			f.sURL.value = link.href;
			f.bForceDownload.checked = false;
			
			// Move the popup to the mouse position and display it
			popup = id("popup");
			popup.link = link;
			setDisplayBlock(popup, true);
			var parent = popup.parentNode.parentNode;
			setPos(popup,
				Math.minmax(e.clientX - 20, 0, parent.scrollWidth  - popup.clientWidth  - 10),
				Math.minmax(e.clientY + 10, 0, parent.scrollHeight - popup.clientHeight - 10));
			
			txtSelectAll(f.sTitle, true);
			break;
		
		// Navigation mode: follow the link immediately
		case 1:
			nav(link.href);
			break;
		
		// Edit links mode: send the URL to the left panel
		case 2:
			setLink(link.href);
			break;
	}
	
	return false;
}


function hidePopup() {
	if (popup)
		setDisplayBlock(popup, false);
}


// Called when the page displayed by the <iframe> changes:
// - update the navigation bar
// - add 'onclick' events to all links to hook them
function frameHook(e) {
	hidePopup();
	
	var fd = frmd();
	try{
		fd.onselectionchange = frameSelChange;
		
		// Retrieve the document true URL from the <base> tag
		// added by proxy.php.
		var url, base = fd.getElementById("denifproxybase");
		if (base)
			url = base.href;
		else{
			url = fd.location.href;
			var i = url.indexOf("?sURL=");
			if (i != null)
				url = unescape(url.substr(i + 6));
		}
		if (fnavbar && fnavbar.sURL)
			fnavbar.sURL.value = url;
		
		// Hook the links
		var elems = fd.links;
		for (var i in elems) {
			var link = elems[i];
			eventCatch(link, "click", onLink, link);
		}
		lasturl = url;
		
	}catch(e) {}
}


function frameResize() {
	if (document) {
		var frm = id("frm");
		frm.style.height = ((document.documentElement.clientHeight || document.body.clientHeight) - frm.offsetTop) + "px";
		
		var url = id("sURL");
		url.style.width = ((document.documentElement.clientWidth || document.body.clientWidth) - url.offsetLeft - 10) + "px";
	}
	return true;
}

window.onresize = window.parent.onresize = frameResize;


// Called when the selection changes in the frame.
// Put the selected text in the 'title' field of the popup.
function frameSelChange() {
	try{
		var text = frmd().selection.createRange().text.trim();
		if (isDisplayVisible(popup))
			id("sTitle").value = text;
		else
			sTitleDefault = text;
	}catch(e) {}
	return true;
}


// Add a link to the current docgroup
// using the information of the popup <form>.
function addLink() {
	try{
		var f = document.forms.fpopup;
		var sURL = f.sURL.value;
		if (f.bForceDownload.checked) {
			sURL += (sURL.indexOf('?') >= 0) ? '&' : '?';
			sURL += sParamPrefix + 'bForceDownload=1';
		}
		frme().addLink(f.sTitle.value.trim(), sURL);
		hidePopup();
	}catch(e) {}
}

// Set the link of the current docgroup
function setLink(sURL) {
	try{
		frme().setLink(sURL);
	}catch(e) {}
}
