<?php
// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

//-----------------------------------------------------------------
/// @file
/// @brief Used by #PageEditWeb to display any Web page in a <tt>\<iframe\></tt>
/// without being subjected to browser security rules
//-----------------------------------------------------------------

/// @cond

settype($_REQUEST['sURL'], 'string');
$sURL = $_REQUEST['sURL'];
if (get_magic_quotes_gpc())
	$sURL = stripslashes($sURL);


// Insert the 'http://' prefix, if necessary.
// Reject all other protocols: ftp, https, etc.
$aPartURL = @parse_url($sURL);
if (empty($aPartURL['scheme']))
	$sURL = 'http://' . $sURL;
else if ($aPartURL['scheme'] != 'http')
	exit;


// Detect redirections, for example: http://domain/dir -> http://domain/dir/
$aHeader = @get_headers($sURL, true);
if (!$aHeader)
	die;
$sURLBase = $sURL;
for ($i = 0; isset($aHeader[$i]); $i++)
	;
if (--$i >= 0) {
	$sStatus = $aHeader[$i];
	if (preg_match('#^HTTP/[0-9]\\.[0-9] +(.*)#', $sStatus, $aMatch)) {
		$sStatus = $aMatch[1];
		header('HTTP/1.1 ' . $sStatus);
		header('Status: ' . $sStatus);
	}
}


if (isset($aHeader['Location'])) {
	$sURLBase = $aHeader['Location'];
	if (is_array($sURLBase))
		$sURLBase = end($sURLBase);
}


echo '<base href="' . htmlspecialchars($sURLBase) . '" id="denifproxybase" />';
echo '<script type="text/javascript">var self={};for(var i in window)self[i]=window[i];self.parent=self;</script>';
@readfile($sURL, false);
exit;

/// @endcond

?>